%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%define modname zope.deprecation

Name:           python-zope-deprecation
Version:        3.4.0
Release:        1%{?dist}
Summary:        Zope 3 Deprecation Infrastructure

Group:          Development/Libraries
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.deprecation
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools-devel
BuildRequires:  python-zope-testing

%description
This package provides a simple function called 'deprecated(names, reason)' to
deprecate the previously mentioned Python objects.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm -f %{buildroot}%{python_sitelib}/zope/deprecation/README.txt
rm -f %{buildroot}%{python_sitelib}/zope/deprecation/DEPENDENCIES.cfg
rm -f %{buildroot}%{python_sitelib}/zope/deprecation/tests.py*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/*

%changelog
* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 3.4.0-1
- Initial package
